Foxit PDF SDK

Instance Methods | List of all members
FSPDFCompliance Class Reference
Inheritance diagram for FSPDFCompliance:

## Instance Methods
(FSResultInformation *) | - convertPDFFile:saved_pdf_path:convert_to_version:progress_callback:
| Convert a PDF file to a specified PDF version. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another PDF compliance object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(FSResultInformation *) | - verify:src_pdf_path:first_page_index:last_page_index:progress_callback:
| Verify a PDF file with specified PDF version. More...

## Detailed Description

This class can be used to convert the PDF version of a PDF file. Currently, support to convert to PDF 1.3/1.4/1.5/1.6/1.7. Please ensure FSComplianceEngine has been initialized successfully.

See also
  FSComplianceEngine

## Method Documentation

## ◆ convertPDFFile:saved_pdf_path:convert_to_version:progress_callback:()

- (FSResultInformation *) convertPDFFile: |  | (NSString *) | src_pdf_path
saved_pdf_path: |  | (NSString *) | saved_pdf_path
convert_to_version: |  | (int) | convert_to_version
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Convert a PDF file to a specified PDF version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | An integer that specifies the PDF version to convert to, for example value 14 means version "1.4", value 15 means "1.5", and etc. Currently, only support version values 13, 14, 15, 16, and 17. Specially, when version value is 13 (which means PDF 1.3): if source PDF file contains transparency data, it will be converted to PDF 1.4 instead of PDF 1.3 (not support transparency). And user can check hit data in the returned FSResultInformation object for more details. if source PDF file does not contain any transparency data, it will be converted to PDF 1.3 as expected.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be nil. Default value: nil.

Returns
  A FSResultInformation object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSPDFCompliance*) | other |

Constructor, with another PDF compliance object.

Parameters

  [in] | other | Another PDF compliance object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ verify:src_pdf_path:first_page_index:last_page_index:progress_callback:()

- (FSResultInformation *) verify: |  | (int) | verify_version
src_pdf_path: |  | (NSString *) | src_pdf_path
first_page_index: |  | (int) | first_page_index
last_page_index: |  | (int) | last_page_index
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Verify a PDF file with specified PDF version.

Parameters

  [in] | verify_version | PDF version to verify. An integer that specifies the PDF version to verify, for example value 14 means version "1.4", value 15 means "1.5", and etc. Currently, only support version values 13, 14, 15, 16, and 17. Specially, when version value is 13 (which means PDF 1.3). And user can check hit data in the returned FSResultInformation object for more details.
  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified and parameter first_page_index would be ignored. Default value: -1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be nil. Default value: nil.

Returns
  A FSResultInformation object.